Bug 63734 - GPG not installed after KDE 3.0.0
Summary: GPG not installed after KDE 3.0.0
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-18 01:04 UTC by Jeff Singleton
Modified: 2015-01-07 23:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-18 19:04:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Singleton 2002-04-18 01:04:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20011126
Netscape6/6.2.1

Description of problem:
GPG not installed after upgrading to KDE 3.0.0
Without GPG up2date will not work

This definitely needs fixing!

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Open konsole
2.start UP2DATE
3.GPG not installed error
	

Actual Results:  UP2DATE Aborts

Expected Results:  UP2DATE to run, display, download, & install anything needed
from Redhat.

Additional info: This only occurs AFTER the KDE 3.0.0 upgrade is complete, and
one reboot is performed.

Comment 1 Adrian Likins 2002-04-18 18:00:40 UTC
You started with a working 7.2 install (gpg installed, up2date working, etc) ?

You updated to KDE 3.0 (how? and with what packages?)

And now up2date complains that gpg is not installed?

Whats the output of:

     rpm -q gpg

how about:

     gpg --list-keys

Only thing I can figure is that something in the KDE upgrade wiped
out gpg, but I cant imagine a good reason for it to do that.



Comment 2 Adrian Likins 2002-04-18 19:01:13 UTC
>> from an email, reposted here so it's easier to track and if other people
>> have the same bug. (reformatted slightly(

You started with a working 7.2 install (gpg installed, up2date working, etc)?

    Yes ... Redhat 7.2 (2.4.9-31) KDE 2.2.2 ... up2date was working fine!
  
+You updated to KDE 3.0 (how? and with what packages?)

    Using the Redhat RPM's from one of KDE's FTP Mirror sites.

+And now up2date complains that gpg is not installed?

                Right !

+Whats the output of:      rpm -q gpg

                Package gpg is not installed!

+how about:  gpg --list-keys

                GPG does'nt exist so this command won't run.

+Only thing I can figure is that something in the KDE upgrade wiped
+out gpg, but I cant imagine a good reason for it to do that

                Ok .. so how do I re-install it?


Comment 3 Adrian Likins 2002-04-18 19:04:19 UTC
I mistyped before, the package name is actually "gnupg"

so try: 

rpm -q gnupg

if it's not installed, try:

rpm -Uvh
ftp://ftp.redhat.com/pub/redhat/linux/7.2/en/os/i386/RedHat/RPMS/gnupg-1.0.6-3.i386.rpm

Comment 4 Adrian Likins 2002-05-08 20:00:21 UTC
This looks to be an issue with a faulty install of KDE3.0, so
I'm closing this out.


Note You need to log in before you can comment on or make changes to this bug.